package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "doctor_dept")
public class DoctorDept {
    /**
     * 主键
     */
    @Id
    private Integer id;

    /**
     * 医生Id
     */
    @Column(name = "doctor_id", nullable = false)
    public Integer doctorId;

    /**
     * 医院 id
     */
    @Column(name = "hospital_id", nullable = false)
    public Integer hospitalId;

    /**
     * 科室 id
     */
    @Column(name = "dept_id", nullable = false)
    public Integer deptId;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 是否删除（标识物理删除）
     */
    @Column(name = "is_deleted", nullable = false)
    private boolean isDeleted;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(Integer doctorId) {
        this.doctorId = doctorId;
    }

    public Integer getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    public Integer getDeptId() {
        return deptId;
    }

    public void setDeptId(Integer deptId) {
        this.deptId = deptId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public boolean isDeleted() {
        return isDeleted;
    }

    public void setDeleted(boolean deleted) {
        isDeleted = deleted;
    }
}
